Bug 967203 - bug causes failure compiling , installing loadable policy modules [NEEDINFO]
bug causes failure compiling , installing loadable policy modules
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-25 09:06 EDT by Claudio
Modified: 2013-10-24 14:15 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-24 14:15:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgrepl: needinfo? (claudiozumbo)


Attachments (Terms of Use)
compiler output (3.17 KB, text/plain)
2013-05-25 09:06 EDT, Claudio
no flags Details
semodule output (528 bytes, text/plain)
2013-05-25 09:07 EDT, Claudio
no flags Details
fc module file (337 bytes, text/plain)
2013-05-25 09:08 EDT, Claudio
no flags Details
.pe module file (516 bytes, text/plain)
2013-05-25 09:08 EDT, Claudio
no flags Details

  None (edit)
Description Claudio 2013-05-25 09:06:24 EDT
Created attachment 753051 [details]
compiler output

There's probably some syntax error in the selinux-policy.

I've attached the modules and the output of both the compiler and semodule.

The modules have been tested and work fine on fedora 18.
Comment 1 Claudio 2013-05-25 09:07:16 EDT
Created attachment 753052 [details]
semodule output
Comment 2 Claudio 2013-05-25 09:08:00 EDT
Created attachment 753053 [details]
fc module file
Comment 3 Claudio 2013-05-25 09:08:34 EDT
Created attachment 753054 [details]
.pe module file
Comment 4 Miroslav Grepl 2013-05-28 04:00:49 EDT
I don't see these errors on my F19 system.

# make -f /usr/share/selinux/devel/Makefile lmtools.pp
# semodule -i lmtools.pp

work fine.

What does

# rpm -q selinux-policy policycoreutils

Note You need to log in before you can comment on or make changes to this bug.